package dao;

import java.util.List;

public interface GenericDao <T> {
    void create(T newObject);
    T getById(long id);
    void update(T object);
    void delete(T object);
    List<T> getAll();
}
